Subject: Re: [PATCH] Documentation: running test with --debug keeps "trash" directory

From: Piotr Krukowiecki <[email-masked]>
Date: Tue, 15 Mar 2011 20:58:14 +0100

W dniu 14.03.2011 22:32, Junio C Hamano pisze:
> Piotr Krukowiecki <[email-masked]> writes:
> 
>> Signed-off-by: Piotr Krukowiecki <[email-masked]>
>> ---
>>  t/README |    3 +++
>>  1 files changed, 3 insertions(+), 0 deletions(-)
>>
>> It wasn't documented and I didn't notice it at first and found
>> it out only after I've started implementing --keep-trash option.
>>
>> diff --git a/t/README b/t/README
>> index 78c9e65..5db567e 100644
>> --- a/t/README
>> +++ b/t/README
>> @@ -79,6 +79,9 @@ appropriately before running "make".
>>  --debug::
>>  	This may help the person who is developing a new test.
>>  	It causes the command defined with test_debug to run.
>> +	The "trash" directory (used to store all temporary data
>> +	during testing) is not deleted even if there are no
>> +	failed tests.
> 
> missing is "...so that you can inspect its contents after the test
> finished." at the end.

If you think it's needed here's a patch. 
I'm not sure - maybe it should be "after the test finishe_s_"? I'm not
native English speaker though...

---8<---
From: Piotr Krukowiecki <[email-masked]>
Date: Mon, 14 Mar 2011 18:50:47 +0100
Subject: [PATCH] Documentation: running test with --debug keeps "trash" directory

Signed-off-by: Piotr Krukowiecki <[email-masked]>
---
 t/README |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

diff --git a/t/README b/t/README
index 78c9e65..165e7cf 100644
--- a/t/README
+++ b/t/README
@@ -79,6 +79,10 @@ appropriately before running "make".
 --debug::
 	This may help the person who is developing a new test.
 	It causes the command defined with test_debug to run.
+	The "trash" directory (used to store all temporary data
+	during testing) is not deleted even if there are no
+	failed tests so that you can inspect its contents after
+	the test finished.
 
 --immediate::
 	This causes the test to immediately exit upon the first
-- 
1.7.4.1.228.g9e388

-- 
Piotr Krukowiecki